Models/returnbook.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace lib.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class returnbook
    {
        public int id { get; set; }
        public Nullable<int> mid { get; set; }
        public string book { get; set; }
        public Nullable<System.DateTime> returndate { get; set; }
        public Nullable<int> elap { get; set; }
        public Nullable<int> fine { get; set; }
    }
}

Controllers/ReturnBookController.cs
using lib.Models;
using System;
using System.Collections.Generic;
using System.Data.Entity.SqlServer;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace lib.Controllers
{
    public class ReturnBookController : Controller
    {
        libEntities db = new libEntities();
        // GET: ReturnBook
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult GetMid(int mid)
        {
            var memberid = (from s in db.issuebooks
                            where s.m_id == mid
                            select new
                            {
                                IssueDate = s.issuedate,
                                ReturnDate = s.returndate,
                                Memberid = s.m_id,
                                BookName = s.book_id,
                                ElapsedDays = SqlFunctions.DateDiff("day", s.returndate, DateTime.Now)
                            }).ToArray();

            return Json(memberid, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public ActionResult Save(returnbook returns)
        {
            if (ModelState.IsValid)
            {
                db.returnbooks.Add(returns);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(returns);
        }
    }
}

Views/ReturnBook/Index.cshtml
<div class="row">
    <div class="col-sm-4">
        @using (Html.BeginForm("Save", "ReturnBook", FormMethod.Post))
        {
            <div>
                <h3>Return Book</h3>
            </div>
            <div class="form-group">
                <label>Member ID</label>
                <input type="text" id="mid" name="mid" class="form-control" placeholder="Member ID" required />
            </div>

            <div class="form-group">
                <label>Book</label>
                <input type="text" id="book" name="book" class="form-control" placeholder="Book" required />
            </div>

            <div class="form-group">
                <label class="form-label">Return Date</label>
                <input type="text" id="returndate" name="returndate" class="form-control" required />
            </div>

            <div class="form-group">
                <label>Days Elapse</label>
                <input type="text" id="elap" name="elap" class="form-control" required />
            </div>

            <div class="form-group">
                <label>Fine</label>
                <input type="text" id="fine" name="fine" class="form-control" required />
            </div>

            <div class="form-group">

                <input type="submit" value="Save" class="btn btn-success" required />
            </div>
        }
    </div>
</div>

@section scripts{

    <script src="~/Scripts/jquery-3.5.1.js"></script>
    <script src="~/Scripts/jquery-3.5.1.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>

    <script>
        getMid();

        @*to get mname while entering mid*@
        function getMid() {

            $('#mid').keyup(function (e) {

                $.ajax({
                    type: 'POST',
                    url: '/ReturnBook/GetMid?mid=' + $('#mid').val(),
                    dataType: 'JSON',
                    success: function (data) {
                        console.log(data);
                        $('#book').val(data[0].BookName);
                        $('#returndate').val(new Date(parseInt(data[0].ReturnDate.substr(6))).toLocaleDateString());

                        var elap = data[0].ElapsedDays;

                        if (elap > 0) {
                            var fine = elap * 100;
                            $('#elap').val(elap);
                            $('#fine').val(fine.toString());
                        } else {
                            $('#elap').val(0);
                            $('#fine').val("0");
                        }
                    }
                });
            });
        }

        
    </script>


}